<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" /><title>AuthScope xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../apidocs/org/apache/commons/httpclient/auth/AuthScope.html">View Javadoc</a></div><pre>

<a name="1" href="#1">1</a>   <em class="comment">/*</em>
<a name="2" href="#2">2</a>   <em class="comment"> * $HeadURL: https://svn.apache.org/repos/asf/httpcomponents/oac.hc3x/trunk/src/java/org/apache/commons/httpclient/auth/AuthScope.java $</em>
<a name="3" href="#3">3</a>   <em class="comment"> * $Revision$</em>
<a name="4" href="#4">4</a>   <em class="comment"> * $Date$</em>
<a name="5" href="#5">5</a>   <em class="comment"> *</em>
<a name="6" href="#6">6</a>   <em class="comment"> * ====================================================================</em>
<a name="7" href="#7">7</a>   <em class="comment"> *</em>
<a name="8" href="#8">8</a>   <em class="comment"> *  Licensed to the Apache Software Foundation (ASF) under one or more</em>
<a name="9" href="#9">9</a>   <em class="comment"> *  contributor license agreements.  See the NOTICE file distributed with</em>
<a name="10" href="#10">10</a>  <em class="comment"> *  this work for additional information regarding copyright ownership.</em>
<a name="11" href="#11">11</a>  <em class="comment"> *  The ASF licenses this file to You under the Apache License, Version 2.0</em>
<a name="12" href="#12">12</a>  <em class="comment"> *  (the "License"); you may not use this file except in compliance with</em>
<a name="13" href="#13">13</a>  <em class="comment"> *  the License.  You may obtain a copy of the License at</em>
<a name="14" href="#14">14</a>  <em class="comment"> *</em>
<a name="15" href="#15">15</a>  <em class="comment"> *      <a href="http://www.apache.org/licenses/LICENSE-2.0" target="alexandria_uri">http://www.apache.org/licenses/LICENSE-2.0</a></em>
<a name="16" href="#16">16</a>  <em class="comment"> *</em>
<a name="17" href="#17">17</a>  <em class="comment"> *  Unless required by applicable law or agreed to in writing, software</em>
<a name="18" href="#18">18</a>  <em class="comment"> *  distributed under the License is distributed on an "AS IS" BASIS,</em>
<a name="19" href="#19">19</a>  <em class="comment"> *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</em>
<a name="20" href="#20">20</a>  <em class="comment"> *  See the License for the specific language governing permissions and</em>
<a name="21" href="#21">21</a>  <em class="comment"> *  limitations under the License.</em>
<a name="22" href="#22">22</a>  <em class="comment"> * ====================================================================</em>
<a name="23" href="#23">23</a>  <em class="comment"> *</em>
<a name="24" href="#24">24</a>  <em class="comment"> * This software consists of voluntary contributions made by many</em>
<a name="25" href="#25">25</a>  <em class="comment"> * individuals on behalf of the Apache Software Foundation.  For more</em>
<a name="26" href="#26">26</a>  <em class="comment"> * information on the Apache Software Foundation, please see</em>
<a name="27" href="#27">27</a>  <em class="comment"> * &lt;<a href="http://www.apache.org/" target="alexandria_uri">http://www.apache.org/</a>>.</em>
<a name="28" href="#28">28</a>  <em class="comment"> *</em>
<a name="29" href="#29">29</a>  <em class="comment"> */</em>
<a name="30" href="#30">30</a>  
<a name="31" href="#31">31</a>  <strong>package</strong> <a href="../../../../../org/apache/commons/httpclient/auth/package-summary.html">org.apache.commons.httpclient.auth</a>;
<a name="32" href="#32">32</a>  
<a name="33" href="#33">33</a>  <strong>import</strong> org.apache.commons.httpclient.util.LangUtils;
<a name="34" href="#34">34</a>  
<a name="35" href="#35">35</a>  <em>/**<em>* </em></em>
<a name="36" href="#36">36</a>  <em> * The class represents an authentication scope consisting of a host name,</em>
<a name="37" href="#37">37</a>  <em> * a port number, a realm name and an authentication scheme name which </em>
<a name="38" href="#38">38</a>  <em> * {@link org.apache.commons.httpclient.Credentials} apply to.</em>
<a name="39" href="#39">39</a>  <em> * </em>
<a name="40" href="#40">40</a>  <em> * @author &lt;a href="<a href="mailto:oleg@ural.ru" target="alexandria_uri">mailto:oleg@ural.ru</a>">Oleg Kalnichevski&lt;/a></em>
<a name="41" href="#41">41</a>  <em> * @author &lt;a href="<a href="mailto:adrian@intencha.com" target="alexandria_uri">mailto:adrian@intencha.com</a>">Adrian Sutton&lt;/a></em>
<a name="42" href="#42">42</a>  <em> * </em>
<a name="43" href="#43">43</a>  <em> * @since 3.0</em>
<a name="44" href="#44">44</a>  <em> */</em>
<a name="45" href="#45">45</a>  <strong>public</strong> <strong>class</strong> <a href="../../../../../org/apache/commons/httpclient/auth/AuthScope.html">AuthScope</a> {
<a name="46" href="#46">46</a>      
<a name="47" href="#47">47</a>      <em>/**<em>* </em></em>
<a name="48" href="#48">48</a>  <em>     * The &lt;tt>null&lt;/tt> value represents any host. In the future versions of </em>
<a name="49" href="#49">49</a>  <em>     * HttpClient the use of this parameter will be discontinued.  </em>
<a name="50" href="#50">50</a>  <em>     */</em>
<a name="51" href="#51">51</a>      <strong>public</strong> <strong>static</strong> <strong>final</strong> String ANY_HOST = <strong>null</strong>;
<a name="52" href="#52">52</a>  
<a name="53" href="#53">53</a>      <em>/**<em>* </em></em>
<a name="54" href="#54">54</a>  <em>     * The &lt;tt>-1&lt;/tt> value represents any port.  </em>
<a name="55" href="#55">55</a>  <em>     */</em>
<a name="56" href="#56">56</a>      <strong>public</strong> <strong>static</strong> <strong>final</strong> <strong>int</strong> ANY_PORT = -1;
<a name="57" href="#57">57</a>  
<a name="58" href="#58">58</a>      <em>/**<em>* </em></em>
<a name="59" href="#59">59</a>  <em>     * The &lt;tt>null&lt;/tt> value represents any realm.  </em>
<a name="60" href="#60">60</a>  <em>     */</em>
<a name="61" href="#61">61</a>      <strong>public</strong> <strong>static</strong> <strong>final</strong> String ANY_REALM = <strong>null</strong>;
<a name="62" href="#62">62</a>  
<a name="63" href="#63">63</a>      <em>/**<em>* </em></em>
<a name="64" href="#64">64</a>  <em>     * The &lt;tt>null&lt;/tt> value represents any authentication scheme.  </em>
<a name="65" href="#65">65</a>  <em>     */</em>
<a name="66" href="#66">66</a>      <strong>public</strong> <strong>static</strong> <strong>final</strong> String ANY_SCHEME = <strong>null</strong>;
<a name="67" href="#67">67</a>      
<a name="68" href="#68">68</a>      <em>/**<em>* </em></em>
<a name="69" href="#69">69</a>  <em>     * Default scope matching any host, port, realm and authentication scheme. </em>
<a name="70" href="#70">70</a>  <em>     * In the future versions of HttpClient the use of this parameter will be </em>
<a name="71" href="#71">71</a>  <em>     * discontinued.  </em>
<a name="72" href="#72">72</a>  <em>     */</em>
<a name="73" href="#73">73</a>      <strong>public</strong> <strong>static</strong> <strong>final</strong> <a href="../../../../../org/apache/commons/httpclient/auth/AuthScope.html">AuthScope</a> ANY = <strong>new</strong> <a href="../../../../../org/apache/commons/httpclient/auth/AuthScope.html">AuthScope</a>(ANY_HOST, ANY_PORT, ANY_REALM, ANY_SCHEME);
<a name="74" href="#74">74</a>  
<a name="75" href="#75">75</a>      <em>/**<em>* The authentication scheme the credentials apply to. */</em></em>
<a name="76" href="#76">76</a>      <strong>private</strong> String scheme = <strong>null</strong>;
<a name="77" href="#77">77</a>      
<a name="78" href="#78">78</a>      <em>/**<em>* The realm the credentials apply to. */</em></em>
<a name="79" href="#79">79</a>      <strong>private</strong> String realm = <strong>null</strong>;
<a name="80" href="#80">80</a>      
<a name="81" href="#81">81</a>      <em>/**<em>* The host the credentials apply to. */</em></em>
<a name="82" href="#82">82</a>      <strong>private</strong> String host = <strong>null</strong>;
<a name="83" href="#83">83</a>          
<a name="84" href="#84">84</a>      <em>/**<em>* The port the credentials apply to. */</em></em>
<a name="85" href="#85">85</a>      <strong>private</strong> <strong>int</strong> port = -1;
<a name="86" href="#86">86</a>          
<a name="87" href="#87">87</a>      <em>/**<em>* Creates a new credentials scope for the given </em></em>
<a name="88" href="#88">88</a>  <em>     * &lt;tt>host&lt;/tt>, &lt;tt>port&lt;/tt>, &lt;tt>realm&lt;/tt>, and </em>
<a name="89" href="#89">89</a>  <em>     * &lt;tt>authentication scheme&lt;/tt>.</em>
<a name="90" href="#90">90</a>  <em>     * </em>
<a name="91" href="#91">91</a>  <em>     * @param host the host the credentials apply to. May be set</em>
<a name="92" href="#92">92</a>  <em>     *   to &lt;tt>null&lt;/tt> if credenticals are applicable to</em>
<a name="93" href="#93">93</a>  <em>     *   any host. </em>
<a name="94" href="#94">94</a>  <em>     * @param port the port the credentials apply to. May be set</em>
<a name="95" href="#95">95</a>  <em>     *   to negative value if credenticals are applicable to</em>
<a name="96" href="#96">96</a>  <em>     *   any port. </em>
<a name="97" href="#97">97</a>  <em>     * @param realm the realm the credentials apply to. May be set </em>
<a name="98" href="#98">98</a>  <em>     *   to &lt;tt>null&lt;/tt> if credenticals are applicable to</em>
<a name="99" href="#99">99</a>  <em>     *   any realm. </em>
<a name="100" href="#100">100</a> <em>     * @param scheme the authentication scheme the credentials apply to. </em>
<a name="101" href="#101">101</a> <em>     *   May be set to &lt;tt>null&lt;/tt> if credenticals are applicable to</em>
<a name="102" href="#102">102</a> <em>     *   any authentication scheme. </em>
<a name="103" href="#103">103</a> <em>     * </em>
<a name="104" href="#104">104</a> <em>     * @since 3.0</em>
<a name="105" href="#105">105</a> <em>     */</em>
<a name="106" href="#106">106</a>     <strong>public</strong> <a href="../../../../../org/apache/commons/httpclient/auth/AuthScope.html">AuthScope</a>(<strong>final</strong> String host, <strong>int</strong> port, 
<a name="107" href="#107">107</a>         <strong>final</strong> String realm, <strong>final</strong> String scheme)
<a name="108" href="#108">108</a>     {
<a name="109" href="#109">109</a>         <strong>this</strong>.host =   (host == <strong>null</strong>)   ? ANY_HOST: host.toLowerCase();
<a name="110" href="#110">110</a>         <strong>this</strong>.port =   (port &lt; 0)       ? ANY_PORT: port;
<a name="111" href="#111">111</a>         <strong>this</strong>.realm =  (realm == <strong>null</strong>)  ? ANY_REALM: realm;
<a name="112" href="#112">112</a>         <strong>this</strong>.scheme = (scheme == <strong>null</strong>) ? ANY_SCHEME: scheme.toUpperCase();;
<a name="113" href="#113">113</a>     }
<a name="114" href="#114">114</a>     
<a name="115" href="#115">115</a>     <em>/**<em>* Creates a new credentials scope for the given </em></em>
<a name="116" href="#116">116</a> <em>     * &lt;tt>host&lt;/tt>, &lt;tt>port&lt;/tt>, &lt;tt>realm&lt;/tt>, and any</em>
<a name="117" href="#117">117</a> <em>     * authentication scheme.</em>
<a name="118" href="#118">118</a> <em>     * </em>
<a name="119" href="#119">119</a> <em>     * @param host the host the credentials apply to. May be set</em>
<a name="120" href="#120">120</a> <em>     *   to &lt;tt>null&lt;/tt> if credenticals are applicable to</em>
<a name="121" href="#121">121</a> <em>     *   any host. </em>
<a name="122" href="#122">122</a> <em>     * @param port the port the credentials apply to. May be set</em>
<a name="123" href="#123">123</a> <em>     *   to negative value if credenticals are applicable to</em>
<a name="124" href="#124">124</a> <em>     *   any port. </em>
<a name="125" href="#125">125</a> <em>     * @param realm the realm the credentials apply to. May be set </em>
<a name="126" href="#126">126</a> <em>     *   to &lt;tt>null&lt;/tt> if credenticals are applicable to</em>
<a name="127" href="#127">127</a> <em>     *   any realm. </em>
<a name="128" href="#128">128</a> <em>     * </em>
<a name="129" href="#129">129</a> <em>     * @since 3.0</em>
<a name="130" href="#130">130</a> <em>     */</em>
<a name="131" href="#131">131</a>     <strong>public</strong> <a href="../../../../../org/apache/commons/httpclient/auth/AuthScope.html">AuthScope</a>(<strong>final</strong> String host, <strong>int</strong> port, <strong>final</strong> String realm) {
<a name="132" href="#132">132</a>         <strong>this</strong>(host, port, realm, ANY_SCHEME);
<a name="133" href="#133">133</a>     }
<a name="134" href="#134">134</a>     
<a name="135" href="#135">135</a>     <em>/**<em>* Creates a new credentials scope for the given </em></em>
<a name="136" href="#136">136</a> <em>     * &lt;tt>host&lt;/tt>, &lt;tt>port&lt;/tt>, any realm name, and any</em>
<a name="137" href="#137">137</a> <em>     * authentication scheme.</em>
<a name="138" href="#138">138</a> <em>     * </em>
<a name="139" href="#139">139</a> <em>     * @param host the host the credentials apply to. May be set</em>
<a name="140" href="#140">140</a> <em>     *   to &lt;tt>null&lt;/tt> if credenticals are applicable to</em>
<a name="141" href="#141">141</a> <em>     *   any host. </em>
<a name="142" href="#142">142</a> <em>     * @param port the port the credentials apply to. May be set</em>
<a name="143" href="#143">143</a> <em>     *   to negative value if credenticals are applicable to</em>
<a name="144" href="#144">144</a> <em>     *   any port. </em>
<a name="145" href="#145">145</a> <em>     * </em>
<a name="146" href="#146">146</a> <em>     * @since 3.0</em>
<a name="147" href="#147">147</a> <em>     */</em>
<a name="148" href="#148">148</a>     <strong>public</strong> <a href="../../../../../org/apache/commons/httpclient/auth/AuthScope.html">AuthScope</a>(<strong>final</strong> String host, <strong>int</strong> port) {
<a name="149" href="#149">149</a>         <strong>this</strong>(host, port, ANY_REALM, ANY_SCHEME);
<a name="150" href="#150">150</a>     }
<a name="151" href="#151">151</a>     
<a name="152" href="#152">152</a>     <em>/**<em>* </em></em>
<a name="153" href="#153">153</a> <em>     * Creates a copy of the given credentials scope.</em>
<a name="154" href="#154">154</a> <em>     * </em>
<a name="155" href="#155">155</a> <em>     * @since 3.0</em>
<a name="156" href="#156">156</a> <em>     */</em>
<a name="157" href="#157">157</a>     <strong>public</strong> <a href="../../../../../org/apache/commons/httpclient/auth/AuthScope.html">AuthScope</a>(<strong>final</strong> <a href="../../../../../org/apache/commons/httpclient/auth/AuthScope.html">AuthScope</a> authscope) {
<a name="158" href="#158">158</a>         <strong>super</strong>();
<a name="159" href="#159">159</a>         <strong>if</strong> (authscope == <strong>null</strong>) {
<a name="160" href="#160">160</a>             <strong>throw</strong> <strong>new</strong> IllegalArgumentException(<span class="string">"Scope may not be null"</span>);
<a name="161" href="#161">161</a>         }
<a name="162" href="#162">162</a>         <strong>this</strong>.host = authscope.getHost();
<a name="163" href="#163">163</a>         <strong>this</strong>.port = authscope.getPort();
<a name="164" href="#164">164</a>         <strong>this</strong>.realm = authscope.getRealm();
<a name="165" href="#165">165</a>         <strong>this</strong>.scheme = authscope.getScheme();
<a name="166" href="#166">166</a>     }
<a name="167" href="#167">167</a>     
<a name="168" href="#168">168</a>     <em>/**<em>*</em></em>
<a name="169" href="#169">169</a> <em>     * @return the host</em>
<a name="170" href="#170">170</a> <em>     * </em>
<a name="171" href="#171">171</a> <em>     * @since 3.0</em>
<a name="172" href="#172">172</a> <em>     */</em>
<a name="173" href="#173">173</a>     <strong>public</strong> String getHost() {
<a name="174" href="#174">174</a>         <strong>return</strong> <strong>this</strong>.host;
<a name="175" href="#175">175</a>     }
<a name="176" href="#176">176</a> 
<a name="177" href="#177">177</a>     <em>/**<em>*</em></em>
<a name="178" href="#178">178</a> <em>     * @return the port</em>
<a name="179" href="#179">179</a> <em>     * </em>
<a name="180" href="#180">180</a> <em>     * @since 3.0</em>
<a name="181" href="#181">181</a> <em>     */</em>
<a name="182" href="#182">182</a>     <strong>public</strong> <strong>int</strong> getPort() {
<a name="183" href="#183">183</a>         <strong>return</strong> <strong>this</strong>.port;
<a name="184" href="#184">184</a>     }
<a name="185" href="#185">185</a> 
<a name="186" href="#186">186</a>     <em>/**<em>*</em></em>
<a name="187" href="#187">187</a> <em>     * @return the realm name</em>
<a name="188" href="#188">188</a> <em>     * </em>
<a name="189" href="#189">189</a> <em>     * @since 3.0</em>
<a name="190" href="#190">190</a> <em>     */</em>
<a name="191" href="#191">191</a>     <strong>public</strong> String getRealm() {
<a name="192" href="#192">192</a>         <strong>return</strong> <strong>this</strong>.realm;
<a name="193" href="#193">193</a>     }
<a name="194" href="#194">194</a> 
<a name="195" href="#195">195</a>     <em>/**<em>*</em></em>
<a name="196" href="#196">196</a> <em>     * @return the scheme type</em>
<a name="197" href="#197">197</a> <em>     * </em>
<a name="198" href="#198">198</a> <em>     * @since 3.0</em>
<a name="199" href="#199">199</a> <em>     */</em>
<a name="200" href="#200">200</a>     <strong>public</strong> String getScheme() {
<a name="201" href="#201">201</a>         <strong>return</strong> <strong>this</strong>.scheme;
<a name="202" href="#202">202</a>     }
<a name="203" href="#203">203</a> 
<a name="204" href="#204">204</a>     <em>/**<em>* Determines if the given parameters are equal.</em></em>
<a name="205" href="#205">205</a> <em>     * </em>
<a name="206" href="#206">206</a> <em>     * @param p1 the parameter</em>
<a name="207" href="#207">207</a> <em>     * @param p2 the other parameter</em>
<a name="208" href="#208">208</a> <em>     * @return boolean true if the parameters are equal, otherwise false.</em>
<a name="209" href="#209">209</a> <em>     */</em>
<a name="210" href="#210">210</a>     <strong>private</strong> <strong>static</strong> <strong>boolean</strong> paramsEqual(<strong>final</strong> String p1, <strong>final</strong> String p2) {
<a name="211" href="#211">211</a>         <strong>if</strong> (p1 == <strong>null</strong>) {
<a name="212" href="#212">212</a>             <strong>return</strong> p1 == p2;
<a name="213" href="#213">213</a>         } <strong>else</strong> {
<a name="214" href="#214">214</a>             <strong>return</strong> p1.equals(p2);
<a name="215" href="#215">215</a>         }
<a name="216" href="#216">216</a>     }
<a name="217" href="#217">217</a> 
<a name="218" href="#218">218</a>     <em>/**<em>* Determines if the given parameters are equal.  </em></em>
<a name="219" href="#219">219</a> <em>     * </em>
<a name="220" href="#220">220</a> <em>     * @param p1 the parameter</em>
<a name="221" href="#221">221</a> <em>     * @param p2 the other parameter</em>
<a name="222" href="#222">222</a> <em>     * @return boolean true if the parameters are equal, otherwise false.</em>
<a name="223" href="#223">223</a> <em>     */</em>
<a name="224" href="#224">224</a>     <strong>private</strong> <strong>static</strong> <strong>boolean</strong> paramsEqual(<strong>int</strong> p1, <strong>int</strong> p2) {
<a name="225" href="#225">225</a>         <strong>return</strong> p1 == p2;
<a name="226" href="#226">226</a>     }
<a name="227" href="#227">227</a> 
<a name="228" href="#228">228</a>     <em>/**<em>*</em></em>
<a name="229" href="#229">229</a> <em>     * Tests if the authentication scopes match. </em>
<a name="230" href="#230">230</a> <em>     * </em>
<a name="231" href="#231">231</a> <em>     * @return the match factor. Negative value signifies no match. </em>
<a name="232" href="#232">232</a> <em>     *    Non-negative signifies a match. The greater the returned value </em>
<a name="233" href="#233">233</a> <em>     *    the closer the match.</em>
<a name="234" href="#234">234</a> <em>     * </em>
<a name="235" href="#235">235</a> <em>     * @since 3.0</em>
<a name="236" href="#236">236</a> <em>     */</em>
<a name="237" href="#237">237</a>     <strong>public</strong> <strong>int</strong> match(<strong>final</strong> <a href="../../../../../org/apache/commons/httpclient/auth/AuthScope.html">AuthScope</a> that) {
<a name="238" href="#238">238</a>         <strong>int</strong> factor = 0;
<a name="239" href="#239">239</a>         <strong>if</strong> (paramsEqual(<strong>this</strong>.scheme, that.scheme)) {
<a name="240" href="#240">240</a>             factor += 1;
<a name="241" href="#241">241</a>         } <strong>else</strong> {
<a name="242" href="#242">242</a>             <strong>if</strong> (<strong>this</strong>.scheme != ANY_SCHEME &amp;&amp; that.scheme != ANY_SCHEME) {
<a name="243" href="#243">243</a>                 <strong>return</strong> -1;
<a name="244" href="#244">244</a>             }
<a name="245" href="#245">245</a>         }
<a name="246" href="#246">246</a>         <strong>if</strong> (paramsEqual(<strong>this</strong>.realm, that.realm)) {
<a name="247" href="#247">247</a>             factor += 2;
<a name="248" href="#248">248</a>         } <strong>else</strong> {
<a name="249" href="#249">249</a>             <strong>if</strong> (<strong>this</strong>.realm != ANY_REALM &amp;&amp; that.realm != ANY_REALM) {
<a name="250" href="#250">250</a>                 <strong>return</strong> -1;
<a name="251" href="#251">251</a>             }
<a name="252" href="#252">252</a>         }
<a name="253" href="#253">253</a>         <strong>if</strong> (paramsEqual(<strong>this</strong>.port, that.port)) {
<a name="254" href="#254">254</a>             factor += 4;
<a name="255" href="#255">255</a>         } <strong>else</strong> {
<a name="256" href="#256">256</a>             <strong>if</strong> (<strong>this</strong>.port != ANY_PORT &amp;&amp; that.port != ANY_PORT) {
<a name="257" href="#257">257</a>                 <strong>return</strong> -1;
<a name="258" href="#258">258</a>             }
<a name="259" href="#259">259</a>         }
<a name="260" href="#260">260</a>         <strong>if</strong> (paramsEqual(<strong>this</strong>.host, that.host)) {
<a name="261" href="#261">261</a>             factor += 8;
<a name="262" href="#262">262</a>         } <strong>else</strong> {
<a name="263" href="#263">263</a>             <strong>if</strong> (<strong>this</strong>.host != ANY_HOST &amp;&amp; that.host != ANY_HOST) {
<a name="264" href="#264">264</a>                 <strong>return</strong> -1;
<a name="265" href="#265">265</a>             }
<a name="266" href="#266">266</a>         }
<a name="267" href="#267">267</a>         <strong>return</strong> factor;
<a name="268" href="#268">268</a>     }
<a name="269" href="#269">269</a> 
<a name="270" href="#270">270</a>     <em>/**<em>*</em></em>
<a name="271" href="#271">271</a> <em>     * @see java.lang.Object#equals(Object)</em>
<a name="272" href="#272">272</a> <em>     */</em>
<a name="273" href="#273">273</a>     <strong>public</strong> <strong>boolean</strong> equals(Object o) {
<a name="274" href="#274">274</a>         <strong>if</strong> (o == <strong>null</strong>) {
<a name="275" href="#275">275</a>             <strong>return</strong> false;
<a name="276" href="#276">276</a>         }
<a name="277" href="#277">277</a>         <strong>if</strong> (o == <strong>this</strong>) {
<a name="278" href="#278">278</a>             <strong>return</strong> <strong>true</strong>;
<a name="279" href="#279">279</a>         }
<a name="280" href="#280">280</a>         <strong>if</strong> (!(o instanceof AuthScope)) {
<a name="281" href="#281">281</a>             <strong>return</strong> <strong>super</strong>.equals(o);
<a name="282" href="#282">282</a>         }
<a name="283" href="#283">283</a>         <a href="../../../../../org/apache/commons/httpclient/auth/AuthScope.html">AuthScope</a> that = (AuthScope) o;
<a name="284" href="#284">284</a>         <strong>return</strong> 
<a name="285" href="#285">285</a>         paramsEqual(<strong>this</strong>.host, that.host) 
<a name="286" href="#286">286</a>           &amp;&amp; paramsEqual(<strong>this</strong>.port, that.port)
<a name="287" href="#287">287</a>           &amp;&amp; paramsEqual(<strong>this</strong>.realm, that.realm)
<a name="288" href="#288">288</a>           &amp;&amp; paramsEqual(<strong>this</strong>.scheme, that.scheme);
<a name="289" href="#289">289</a>     }
<a name="290" href="#290">290</a> 
<a name="291" href="#291">291</a>     <em>/**<em>*</em></em>
<a name="292" href="#292">292</a> <em>     * @see java.lang.Object#toString()</em>
<a name="293" href="#293">293</a> <em>     */</em>
<a name="294" href="#294">294</a>     <strong>public</strong> String toString() {
<a name="295" href="#295">295</a>         StringBuffer buffer = <strong>new</strong> StringBuffer();
<a name="296" href="#296">296</a>         <strong>if</strong> (<strong>this</strong>.scheme != <strong>null</strong>) {
<a name="297" href="#297">297</a>             buffer.append(<strong>this</strong>.scheme.toUpperCase());
<a name="298" href="#298">298</a>             buffer.append(' ');
<a name="299" href="#299">299</a>         }
<a name="300" href="#300">300</a>         <strong>if</strong> (<strong>this</strong>.realm != <strong>null</strong>) {
<a name="301" href="#301">301</a>             buffer.append('\'');
<a name="302" href="#302">302</a>             buffer.append(<strong>this</strong>.realm);
<a name="303" href="#303">303</a>             buffer.append('\'');
<a name="304" href="#304">304</a>         } <strong>else</strong> {
<a name="305" href="#305">305</a>             buffer.append(<span class="string">"&lt;any realm>"</span>);
<a name="306" href="#306">306</a>         }
<a name="307" href="#307">307</a>         <strong>if</strong> (<strong>this</strong>.host != <strong>null</strong>) {
<a name="308" href="#308">308</a>             buffer.append('@');
<a name="309" href="#309">309</a>             buffer.append(<strong>this</strong>.host);
<a name="310" href="#310">310</a>             <strong>if</strong> (<strong>this</strong>.port >= 0) {
<a name="311" href="#311">311</a>                 buffer.append(':');
<a name="312" href="#312">312</a>                 buffer.append(<strong>this</strong>.port);
<a name="313" href="#313">313</a>             }
<a name="314" href="#314">314</a>         }
<a name="315" href="#315">315</a>         <strong>return</strong> buffer.toString();
<a name="316" href="#316">316</a>     }
<a name="317" href="#317">317</a>     
<a name="318" href="#318">318</a>     <em>/**<em>*</em></em>
<a name="319" href="#319">319</a> <em>     * @see java.lang.Object#hashCode()</em>
<a name="320" href="#320">320</a> <em>     */</em>
<a name="321" href="#321">321</a>     <strong>public</strong> <strong>int</strong> hashCode() {
<a name="322" href="#322">322</a>         <strong>int</strong> hash = LangUtils.HASH_SEED;
<a name="323" href="#323">323</a>         hash = LangUtils.hashCode(hash, <strong>this</strong>.host);
<a name="324" href="#324">324</a>         hash = LangUtils.hashCode(hash, <strong>this</strong>.port);
<a name="325" href="#325">325</a>         hash = LangUtils.hashCode(hash, <strong>this</strong>.realm);
<a name="326" href="#326">326</a>         hash = LangUtils.hashCode(hash, <strong>this</strong>.scheme);
<a name="327" href="#327">327</a>         <strong>return</strong> hash;
<a name="328" href="#328">328</a>     }
<a name="329" href="#329">329</a> }
</pre>
<hr/><div id="footer">This page was automatically generated by <a href="http://maven.apache.org/">Maven</a></div></body>
</html>

